Bug 719379 - ../sysdeps/powerpc/powerpc64/dl-irel.h:34:3: error: conflicting types for 'Elf64_FuncDesc'
../sysdeps/powerpc/powerpc64/dl-irel.h:34:3: error: conflicting types for 'El...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: glibc (Show other bugs)
rawhide
powerpc Unspecified
high Severity high
: ---
: ---
Assigned To: Andreas Schwab
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F16Alphappc
  Show dependency treegraph
 
Reported: 2011-07-06 12:11 EDT by Karsten Hopp
Modified: 2016-11-24 10:54 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-07-26 07:53:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Karsten Hopp 2011-07-06 12:11:26 EDT
Description of problem:
make[2]: Entering directory `/builddir/build/BUILD/glibc-2.14-58-g2c0e54f/elf'
mkdir /builddir/build/BUILD/glibc-2.14-58-g2c0e54f/build-ppc64-linuxnptl/elf
dl-lookup.c: In function 'enter':
dl-lookup.c:329:18: warning: assignment discards 'const' qualifier from pointer target type [enabled by default]
dl-lookup.c: In function '_dl_setup_hash':
dl-lookup.c:863:14: warning: variable 'nchain' set but not used [-Wunused-but-set-variable]
In file included from dl-runtime.c:30:0:
../sysdeps/powerpc/powerpc64/dl-irel.h:34:3: error: conflicting types for 'Elf64_FuncDesc'
../sysdeps/powerpc/powerpc64/dl-machine.h:43:3: note: previous declaration of 'Elf64_FuncDesc' was here
make[2]: *** [/builddir/build/BUILD/glibc-2.14-58-g2c0e54f/build-ppc64-linuxnptl/elf/dl-runtime.o] Error 1

Version-Release number of selected component (if applicable):
glibc-2.14.90-1


Actual results:
http://ppc.koji.fedoraproject.org/koji/taskinfo?taskID=247594
Comment 1 Karsten Hopp 2011-07-11 11:12:59 EDT
This is blocking lots of rebuilds on PPC atm.
There's a patch available at 
http://old.nabble.com/-PATCH--Fix-build-on-ppc64-td31986351.html

Note You need to log in before you can comment on or make changes to this bug.